import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity("career")
export class Career extends CoreEntity {
    @Column({default: null, nullable: true})
    jobType: string;

    @Column({default: null, nullable: true})
    title: string;

    @Column({default: null, nullable: true})
    departmentId: string;

    @Column({default: null, nullable: true})
    departmentName: string;

    @Column({default: null, nullable: true})
    departmentNameUrlSlug: string;

    @Column({default: null, nullable: true})
    location: string;

    @Column({default: null, type: "longtext", nullable: true})
    description: string;

    @Column({default: null, nullable: true})
    salary: string;
}
